%define oname	xine-lib
%define branch	1.2
#
%define major	2
%define libname	%mklibname xine %{major}
%define devname	%mklibname -d xine %{branch}

%define plugin_api	%{major}.6

Summary:	A free multimedia engine
Name:		%{oname}%{branch}
Version:	1.2.8
Release:	%mkrel 1
License:	GPLv2+
URL:		http://xine-project.org/
Source:		http://downloads.sourceforge.net/xine/%{oname}-%{version}.tar.xz
Group:		System/Libraries
BuildRequires:	zlib-devel
BuildRequires:	freetype2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxv-devel
BuildRequires:	libalsa-devel
BuildRequires:	libjack-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	a52dec-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libmagick-devel
BuildRequires:	libmad-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libmng-devel
BuildRequires:	speex-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libcdio-devel
BuildRequires:	libvcd-devel
BuildRequires:	lirc-devel
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	SDL-devel
BuildRequires:	xcb-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxvmc-devel
BuildRequires:	vdpau-devel
BuildRequires:	libflac-devel
BuildRequires:	libv4l-devel
BuildRequires:	bluray-devel
BuildRequires:	xmlto
BuildRequires:	librsvg
BuildRequires:	optipng
BuildRequires:	gettext-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	libfaad2-devel
BuildRequires:	libdca-devel
BuildRequires:	libfame-devel


%description
Xine-lib is a free multimedia engine.


%package -n xine%{branch}-common
Summary:	Common files of xine-lib1.2
Group:		System/Libraries

%description -n xine%{branch}-common
Common files for xine-lib1.2, the free multimedia engine.

%package -n %{libname}
Summary:	Shared libraries of xine-lib1.2
Group:		System/Libraries
Provides:	%{libname}-plugin-api = %{plugin_api}
Requires:	xine%{branch}-common >= %{version}

%description -n %{libname}
Shared libraries for xine-lib1.2, the free multimedia engine.

%package -n %{devname}
Summary:	Development files for xine-lib1.2
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	xine1.2-devel = %{version}-%{release}
Conflicts:	libxine-devel < %{version}

%description -n %{devname}
Development libraries and headers for xine-lib1.2, the free
multimedia engine.

%prep
%setup -q -n %{oname}-%{version}

%build

export XCB_LIBS="-lxcb -lxcb-shape -lxcb-shm -lxcb-xv"

%configure2_5x \
	--with-w32-path=%{_libdir}/codecs \
	--with-external-dvdnav \

%make_build

%install
rm -rf %buildroot
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/xine-config
mv %{buildroot}%{_mandir}/man5/xine{,-%{branch}}.5
rm -f %{buildroot}%{_libdir}/*.la
mv %{buildroot}%{_datadir}/doc/xine-lib installed-docs

%find_lang libxine%{major}

%files -n xine%{branch}-common -f libxine%{major}.lang
%doc CREDITS NEWS doc/README* doc/faq/faq.txt

%{_bindir}/xine-list-%{branch}
%{_mandir}/man1/xine-list-%{branch}.1*
%{_mandir}/man5/xine-%{branch}.5*

%dir %{_datadir}/xine-lib
%dir %{_datadir}/xine-lib/fonts
%{_datadir}/xine-lib/fonts/*.xinefont.gz

%files -n %{libname}
%{_libdir}/libxine.so.%{major}*
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{plugin_api}
%dir %{_libdir}/xine/plugins/%{plugin_api}/post
%{_libdir}/xine/plugins/%{plugin_api}/mime.types
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_audio_filters.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_goom.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_mosaico.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_planar.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_switch.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_tvtime.so
%{_libdir}/xine/plugins/%{plugin_api}/post/xineplug_post_visualizations.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_alsa.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_jack.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_oss.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_pulseaudio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_a52.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dts.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dvaudio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dxr3_spu.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_dxr3_video.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_faad.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_ff.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_gdk_pixbuf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_gsm610.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_image.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libjpeg.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_libvpx.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_lpcm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mad.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mpc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_mpeg2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_rawvideo.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_real.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spu.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spucc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spucmml.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spudvb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_spuhdmv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_vdpau.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_asf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_audio.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_fli.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_games.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_image.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_mng.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_modplug.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_nsv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_playlist.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_pva.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_slave.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_dmx_video.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_flac.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_bluray.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_cdda.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_dvb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_dvd.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_gnome_vfs.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_http.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_mms.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_net.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_pnm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_pvr.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_rtp.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_rtsp.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_smb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_v4l2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_vcd.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_inp_vcdo.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_nsf.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_sputext.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vdr.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_aa.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_caca.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_dxr3.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_fb.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_opengl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_opengl2.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_raw.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_sdl.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vaapi.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vdpau.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xcbshm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xcbxv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xshm.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xv.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xvmc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_xxmc.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_xiph.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_ao_out_esd.so
%ifarch %ix86
%dir %{_libdir}/xine/plugins/%{plugin_api}/vidix
%{_libdir}/xine/plugins/%{plugin_api}/vidix/*_vid.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_qt.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_decode_w32dll.so
%{_libdir}/xine/plugins/%{plugin_api}/xineplug_vo_out_vidix.so
%endif

%files -n %{devname}
%doc installed-docs/*
%{_bindir}/xine-config
%{multiarch_bindir}/xine-config
%{_includedir}/xine.h
%{_includedir}/xine
%{_datadir}/aclocal/xine.m4
%{_libdir}/libxine.so
%{_libdir}/pkgconfig/libxine.pc
%{_mandir}/man1/xine-config.1*


%changelog
* Fri Jun 23 2017 adrianomorselli <adrianomorselli> 1.2.8-1uplos2017
- update for new ffmpeg
- droping libxine 1.1.x libs
